LogChuteSystem (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.LogChuteSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class LogChuteSystem

    java.lang.Object
      org.apache.velocity.runtime.log.LogChuteSystem

All Implemented Interfaces:
  LogChute

public class LogChuteSystem
extends Object
implements LogChute

Wrapper to make user's custom LogSystem implementations work with the new LogChute setup.

Since:
  1.5
Version:
  $Id: LogChuteSystem.java 730039 2008-12-30 03:53:19Z byron $
Author:
  Nathan Bubna

Field Summary

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`protected` | `LogChuteSystem(LogSystem wrapMe)` Only classes in this package should be creating this.

Method Summary
`void` | `init(RuntimeServices rs)` Initializes this LogChute.
`boolean` | `isLevelEnabled(int level)` Tell whether or not a log level is enabled.
`void` | `log(int level, String message)` Send a log message from Velocity.
`void` | `log(int level, String message, Throwable t)` First passes off the message at the specified level, then passes off stack trace of the Throwable as a 2nd message at the same level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogChuteSystem

    protected LogChuteSystem(LogSystem wrapMe)

  Only classes in this package should be creating this. Users should not have to mess with this class.

Parameters:
  `wrapMe` -

Method Detail

### init

    public void init(RuntimeServices rs)
              throws Exception

  Description copied from interface: `LogChute`
  Initializes this LogChute.

  Specified by:
    `init` in interface `LogChute`
  Parameters:
    `rs` -
  Throws:
    `Exception`
  See Also:
    `LogChute.init(org.apache.velocity.runtime.RuntimeServices)`

### log

    public void log(int level,
                    String message)

  Description copied from interface: `LogChute`
  Send a log message from Velocity.

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` -
    `message` -
  See Also:
    `LogChute.log(int, java.lang.String)`

### log

    public void log(int level,
                    String message,
                    Throwable t)

  First passes off the message at the specified level, then passes off stack trace of the Throwable as a 2nd message at the same level.

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` -
    `message` -
    `t` -

### isLevelEnabled

    public boolean isLevelEnabled(int level)

  Description copied from interface: `LogChute`
  Tell whether or not a log level is enabled.

  Specified by:
    `isLevelEnabled` in interface `LogChute`
  Parameters:
    `level` -
  Returns:
    True if a level is enabled.
  See Also:
    `LogChute.isLevelEnabled(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.